// This file was generated by qlalr - DO NOT EDIT!
#include "table_lgcoutputerrlexer_p.h"

const char *const Table_LGCOutputErrLexer::spell [] = {
    "end of file", "New line '\\n'", "Word", "Integer number", "Decimal number", ":", "=", "*", "LGC2", "SIGMA ZERO A POSTERIORI",
    "SIGNIFICANCE LEVEL FOR TESTING WI, ALPHA", "POWER OF TEST TO DETERMINE NABLA AND DELTY", "FRAME", "SLAVE", "PARAMETER", "XY", "XZ", "YZ", "STATION", "LINE",
    "PIVOT", "OBSERVATION", "OBS_j", "OBS_dist", "PT", "POINT", "WIRE", "ANGL", "ZEND", "DIST",
    "ECTH", "ECDIR", "DHOR", "PLR3D", "ORIE", "UVEC", "UVD", "DSPT", "DLEV", "ECHO",
    "ECSP", "ECVE", "INCLY", "ECWS", "ECWI", "DVER", "OBSXYZ", "RADI", "REPARTITION", "**-",
    "INDETERMINE", "IND1000.00", "INFINI", "IND", "!", "**"
};

const short Table_LGCOutputErrLexer::lhs [] = {
    57, 57, 58, 58, 59, 59, 60, 60, 61, 62,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 63, 63, 63, 63, 63, 63, 63, 63, 63,
    63, 64, 64, 64, 65, 65, 65, 66, 67, 56,
    68, 73, 73, 72, 74, 74, 74, 74, 74, 74,
    74, 74, 75, 75, 69, 76, 79, 80, 80, 77,
    81, 82, 78, 83, 84, 85, 85, 86, 87, 88,
    88, 90, 91, 93, 93, 93, 93, 93, 93, 93,
    93, 93, 93, 92, 94, 94, 89, 89, 95, 95,
    95, 97, 97, 96, 98, 98, 98, 99, 99, 100,
    100, 103, 103, 102, 101, 101, 104, 105, 106, 106,
    108, 107, 109, 109, 110, 111, 112, 112, 113, 113,
    114, 115, 115, 115, 116, 116, 117, 117, 117, 117,
    70, 70, 71, 118, 118, 119, 120
};

const short Table_LGCOutputErrLexer::rhs [] = {
    1, 2, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 1, 1, 1, 1, 4,
    2, 3, 2, 1, 1, 1, 1, 1, 2, 2,
    2, 2, 1, 2, 3, 5, 1, 8, 9, 5,
    1, 12, 5, 1, 2, 2, 1, 5, 2, 2,
    1, 4, 2, 1, 1, 1, 1, 1, 1, 1,
    1, 1, 1, 1, 1, 2, 2, 1, 3, 3,
    2, 2, 3, 2, 4, 3, 4, 2, 2, 2,
    1, 1, 1, 3, 3, 3, 3, 2, 4, 5,
    2, 1, 2, 1, 3, 1, 3, 2, 2, 1,
    3, 2, 2, 1, 1, 3, 1, 2, 3, 2,
    2, 1, 4, 11, 11, 11, 2
};

const short Table_LGCOutputErrLexer::action_default [] = {
    0, 0, 0, 0, 44, 137, 57, 0, 0, 0,
    10, 0, 132, 127, 125, 0, 0, 9, 0, 112,
    109, 1, 0, 0, 2, 110, 114, 4, 111, 3,
    6, 5, 113, 11, 16, 13, 22, 21, 29, 15,
    23, 24, 14, 25, 26, 27, 120, 0, 128, 28,
    0, 30, 18, 67, 0, 130, 17, 31, 20, 19,
    32, 33, 34, 12, 124, 0, 122, 123, 121, 119,
    129, 66, 69, 0, 74, 75, 76, 78, 77, 71,
    0, 0, 0, 81, 80, 79, 82, 83, 0, 85,
    84, 0, 86, 72, 73, 0, 0, 0, 8, 88,
    0, 0, 0, 0, 70, 0, 7, 0, 0, 95,
    0, 0, 97, 0, 96, 87, 39, 38, 37, 35,
    36, 0, 0, 92, 101, 102, 103, 0, 100, 0,
    0, 98, 0, 99, 0, 0, 108, 0, 105, 0,
    106, 0, 104, 0, 107, 93, 0, 89, 91, 68,
    0, 94, 90, 116, 0, 0, 126, 0, 0, 117,
    118, 0, 115, 0, 131, 40, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 134, 0, 0,
    135, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 136, 133, 61, 0, 0, 64, 55,
    0, 53, 0, 54, 0, 0, 0, 65, 63, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 62, 60, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 59, 58, 56,
    45, 48, 46, 47, 41, 0, 0, 49, 52, 50,
    42, 51, 43
};

const short Table_LGCOutputErrLexer::goto_default [] = {
    1, 20, 30, 26, 105, 16, 11, 50, 47, 127,
    125, 126, 2, 7, 15, 165, 3, 244, 245, 225,
    8, 196, 199, 9, 228, 197, 212, 200, 206, 55,
    53, 54, 82, 103, 79, 80, 91, 81, 94, 99,
    101, 102, 100, 123, 122, 131, 133, 121, 130, 132,
    14, 18, 22, 28, 154, 155, 156, 48, 46, 65,
    13, 12, 166, 183, 0
};

const short Table_LGCOutputErrLexer::action_index [] = {
    -6, 24, 29, 201, -56, -56, -56, 27, 66, 140,
    -56, 68, -56, 364, 55, 83, -2, -56, 109, -56,
    53, -56, 0, 125, -56, 53, -56, -56, 122, -56,
    -56, -56, -56, -56, -56, -56, -56, -56, -56, -56,
    -56, -56, -56, -56, -56, -56, -56, 119, 364, -56,
    1, -56, -56, -56, 3, 266, -56, -56, -56, -56,
    -56, -56, -56, -56, -56, 197, -56, -56, 53, -56,
    266, -56, -56, 265, -56, -56, -56, -56, -56, -56,
    4, 131, 323, -56, -56, -56, -56, -56, 215, 149,
    -56, 5, -56, 53, -56, 104, 74, 76, -56, 158,
    209, 85, 6, 7, -56, 186, -56, 160, 94, -56,
    88, 82, -56, 160, -56, -56, -56, -56, -56, -56,
    -56, 69, 142, -56, -56, -56, -56, 97, -56, 8,
    78, -56, 102, -56, 160, 71, -56, 84, -56, 90,
    -56, 160, -56, 100, -56, -56, 9, -56, -56, 53,
    10, -56, -56, -56, 155, 113, 152, 191, 174, 53,
    53, 183, 53, 2, -56, -56, 12, 11, 13, 14,
    15, 17, 128, 16, 18, 19, 20, -56, 21, 22,
    -56, 95, 23, 30, 25, 31, 32, 33, 34, 160,
    35, 36, 37, -56, 53, -56, 26, 110, -56, -56,
    116, -56, 168, -56, 96, 38, 40, -56, 53, 177,
    160, 43, 45, 46, 47, 48, 49, 50, 51, 107,
    41, 80, 54, -56, 56, 163, 160, 57, 59, 60,
    61, 52, 62, 137, 63, 64, 65, -56, -56, 67,
    -56, -56, -56, -56, 269, 219, 226, -56, -56, -56,
    70, -56, 53,

    -65, -65, -65, -3, -65, -65, -65, -65, -65, 59,
    -65, -65, -65, -65, -65, -60, -65, -65, -65, -65,
    -65, -65, 1, -65, -65, -65, -65, -65, 0, -65,
    -65, -65, -65, -65, -65, -65, -65, -65, -65, -65,
    -65, -65, -65, -65, -65, -65, -65, 2, 32, -65,
    -65, -65, -65, -65, 3, -23, -65, -65, -65, -65,
    -65, -65, -65, -65, -65, 54, -65, -65, -65, -65,
    -21, -65, -65, -65, -65, -65, -65, -65, -65, -65,
    9, 8, -22, -65, -65, -65, -65, -65, 53, 55,
    -65, 14, -65, -65, -65, 29, 15, 16, -65, -17,
    17, -20, -65, 19, -65, 46, -65, 21, 22, -65,
    23, 24, -65, 25, -65, -65, -65, -65, -65, -65,
    -65, 26, 57, -65, -65, -65, -65, 30, -65, -65,
    43, -65, 38, -65, 52, 12, -65, 31, -65, 39,
    -65, 45, -65, 11, -65, -65, -65, -65, -65, -65,
    -65, -65, -65, -65, -31, -19, -18, 69, 63, -65,
    -65, 70, -65, -65, -65, -65, 48, -65, -65, -65,
    -65, -65, 28, -65, -65, -65, -65, -65, -65, -65,
    -65, -65, -65, 47, -65, -65, -65, -65, -65, 27,
    -65, -65, -65, -65, -65, -65, -65, 66, -65, -65,
    64, -65, 41, -65, 44, -65, 42, -65, -65, 49,
    51, -65, 7, -65, -65, -65, -65, -65, -65, -65,
    -65, 4, -65, -65, -65, 33, 35, -65, 37, -65,
    -65, -65, -65, 40, -65, -65, -65, -65, -65, -65,
    -65, -65, -65, -65, 71, 123, 62, -65, -65, -65,
    -65, -65, -65
};

const short Table_LGCOutputErrLexer::action_info [] = {
    19, 21, 4, 72, 21, 21, 21, 148, 21, 167,
    147, 152, 136, 21, 0, 169, 170, 171, 168, 172,
    0, 0, 0, 175, 5, 178, 176, 177, 179, 180,
    184, 21, 185, 186, 187, 188, 189, 198, 6, 10,
    207, 21, 191, 192, 193, 213, 21, 221, 214, 215,
    216, 217, 218, 219, 24, 0, 223, 24, 232, 229,
    21, 0, 230, 231, 233, 236, 238, 237, 24, 153,
    17, 24, 29, 27, 29, 27, 195, 29, 27, 29,
    27, 29, 27, 29, 27, 29, 27, 29, 27, 95,
    163, 29, 27, 29, 27, 10, 24, 29, 27, 29,
    27, 0, 182, 29, 27, 29, 27, 29, 27, 220,
    21, 23, 31, 29, 27, 31, 29, 27, 31, 29,
    27, 31, 29, 27, 31, 29, 27, 31, 29, 27,
    174, 29, 27, 31, 29, 27, 97, 0, 96, 235,
    29, 27, 31, 29, 27, 29, 27, 119, 0, 120,
    118, 31, 29, 27, 31, 29, 27, 31, 29, 27,
    106, 98, 95, 29, 27, 31, 29, 27, 0, 226,
    31, 29, 27, 0, 204, 21, 31, 29, 27, 31,
    29, 27, 0, 210, 21, 31, 29, 27, 106, 98,
    95, 129, 21, 31, 29, 27, 0, 116, 21, 31,
    29, 27, 67, 31, 29, 27, 242, 243, 240, 97,
    0, 96, 29, 27, 0, 0, 24, 31, 29, 27,
    21, 31, 29, 27, 249, 251, 247, 21, 31, 29,
    27, 249, 251, 247, 0, 0, 0, 97, 0, 96,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 119,
    0, 120, 118, 117, 116, 0, 24, 0, 0, 0,
    0, 31, 29, 27, 242, 243, 240, 74, 0, 0,
    0, 0, 0, 86, 75, 83, 76, 78, 77, 85,
    84, 87, 0, 33, 63, 35, 42, 39, 34, 56,
    52, 59, 58, 37, 36, 40, 41, 43, 49, 45,
    44, 38, 51, 57, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 106, 98, 95, 0, 0,
    0, 0, 0, 0, 0, 74, 0, 0, 0, 0,
    0, 86, 75, 83, 76, 78, 77, 85, 84, 87,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 97, 0, 96, 0, 0, 60,
    61, 62, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 33, 63, 35, 42, 39, 34, 56, 52, 59,
    58, 37, 36, 40, 41, 43, 49, 45, 44, 38,
    51, 57, 0, 0, 0, 0, 0, 0, 0, 0,

    241, 164, 25, 32, 73, 64, 222, 71, 224, 71,
    88, 89, 104, 144, 143, 93, 115, 110, 113, 124,
    149, 146, 157, 108, 109, 111, 112, 114, 128, 190,
    173, 107, 0, 138, 161, 158, 203, 227, 239, 145,
    139, 140, 234, 208, 203, 137, 205, 142, 194, 181,
    151, 0, 203, 211, 141, 68, 89, 66, 89, 134,
    0, 70, 201, 250, 159, 248, 32, 201, 135, 201,
    160, 162, 32, 32, 241, 0, 0, 0, 0, 0,
    0, 0, 0, 202, 0, 209, 0, 150, 0, 246,
    69, 90, 0, 92, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 252, 0, 248, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
    0, 0, 0, 0, 0, 0, 0, 0
};

const short Table_LGCOutputErrLexer::action_check [] = {
    2, 1, 8, 2, 1, 1, 1, 1, 1, 7,
    1, 1, 4, 1, -1, 2, 2, 2, 7, 2,
    -1, -1, -1, 7, 0, 7, 7, 7, 7, 7,
    7, 1, 7, 2, 2, 2, 2, 11, 9, 12,
    2, 1, 7, 7, 7, 2, 1, 6, 2, 2,
    2, 2, 2, 2, 1, -1, 2, 1, 6, 2,
    1, -1, 2, 2, 2, 2, 2, 2, 1, 14,
    2, 1, 3, 4, 3, 4, 10, 3, 4, 3,
    4, 3, 4, 3, 4, 3, 4, 3, 4, 4,
    7, 3, 4, 3, 4, 12, 1, 3, 4, 3,
    4, -1, 7, 3, 4, 3, 4, 3, 4, 2,
    1, 2, 2, 3, 4, 2, 3, 4, 2, 3,
    4, 2, 3, 4, 2, 3, 4, 2, 3, 4,
    2, 3, 4, 2, 3, 4, 51, -1, 53, 2,
    3, 4, 2, 3, 4, 3, 4, 50, -1, 52,
    53, 2, 3, 4, 2, 3, 4, 2, 3, 4,
    2, 3, 4, 3, 4, 2, 3, 4, -1, 6,
    2, 3, 4, -1, 6, 1, 2, 3, 4, 2,
    3, 4, -1, 6, 1, 2, 3, 4, 2, 3,
    4, 49, 1, 2, 3, 4, -1, 55, 1, 2,
    3, 4, 5, 2, 3, 4, 5, 6, 7, 51,
    -1, 53, 3, 4, -1, -1, 1, 2, 3, 4,
    1, 2, 3, 4, 5, 6, 7, 1, 2, 3,
    4, 5, 6, 7, -1, -1, -1, 51, -1, 53,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, 50,
    -1, 52, 53, 54, 55, -1, 1, -1, -1, -1,
    -1, 2, 3, 4, 5, 6, 7, 12, -1, -1,
    -1, -1, -1, 18, 19, 20, 21, 22, 23, 24,
    25, 26, -1, 27, 28, 29, 30, 31, 32, 33,
    34, 35, 36, 37, 38, 39, 40, 41, 42, 43,
    44, 45, 46, 47, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, 2, 3, 4, -1, -1,
    -1, -1, -1, -1, -1, 12, -1, -1, -1, -1,
    -1, 18, 19, 20, 21, 22, 23, 24, 25, 26,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, 51, -1, 53, -1, -1, 15,
    16, 17, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, 27, 28, 29, 30, 31, 32, 33, 34, 35,
    36, 37, 38, 39, 40, 41, 42, 43, 44, 45,
    46, 47, -1, -1, -1, -1, -1, -1, -1, -1,

    3, 61, 1, 3, 1, 3, 2, 30, 1, 30,
    1, 3, 34, 2, 2, 1, 33, 2, 2, 2,
    1, 41, 53, 2, 2, 2, 2, 2, 2, 2,
    2, 2, -1, 2, 53, 53, 3, 2, 1, 9,
    2, 2, 2, 1, 3, 2, 2, 2, 1, 1,
    4, -1, 3, 2, 2, 1, 3, 3, 3, 2,
    -1, 29, 3, 1, 1, 3, 3, 3, 11, 3,
    1, 1, 3, 3, 3, -1, -1, -1, -1, -1,
    -1, -1, -1, 19, -1, 19, -1, 41, -1, 18,
    58, 38, -1, 38, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, 1, -1, 3, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
    -1, -1, -1, -1, -1, -1, -1, -1
};

